(function($) {

  "use strict";    

    function activateBody () {
        var bodyEl = document.querySelector('body')
        setTimeout(function(){
          bodyEl.classList.add('active')
        }, 3)    
    }
    
    // RUNS ON DOM COMPLETE, NOT PAGE READY
    // PAGE READY IS WAY TOO SLOW
    if (document.readyState !== 'loading') {
        activateBody();            
    } else {
        document.addEventListener('DOMContentLoaded', activateBody)                
    }  

    // STICKY HEADER ON SCROLL TO TOP
    var lastScrollTop = 0;
    $(window).scroll(function(event){

       var st = $(this).scrollTop();

       if (st > lastScrollTop && st!=0){
          $('.mfn-header-main').removeClass('header-scrolled');
       } else if(st!=0) {
          $('.mfn-header-main').addClass('header-scrolled');
       } else if(st==0){
          $('.mfn-header-main').removeClass('header-scrolled');
       }

      lastScrollTop = st;
    });

  
  
  
  
  
  
  
  if ($('body.logged-in.admin-bar, body:not(.logged-in)').length > 0) {        

    $(document).ready(function () {
        var lang = $('html').attr('lang'); // Obtém o valor do atributo lang da tag <html>



        if ($('.slider-oportunidades').length > 0) {        
            setTimeout(function(){        
                
                    // Obter a instância do Swiper
                    const swiperInstance = document.querySelector('.slider-oportunidades .swiper').swiper;
                
                    // 1. Criar botões de categorias dinamicamente
                    const filterContainer = $('<div class="filter-container"></div>');
                    const filterGrid = $('<div class="filter-grid"></div>');
                    filterContainer.append(filterGrid);

                    // Extrair categorias únicas
                    const categories = new Set();
                    $('.oportunidades-categorias .title').each(function () {
                        const categoryText = $(this).text().split(',').map(c => c.trim());
                        categoryText.forEach(cat => categories.add(cat));
                    });
                
                    // Adicionar botão "Todas as Categorias"                    
                    if (lang === 'pt-PT') {
                        filterGrid.append('<button class="category-filter active" data-category="all">Todas</button>');
                    } else {
                        filterGrid.append('<button class="category-filter active" data-category="all">All</button>');
                    }
                
                    // Adicionar botões para cada categoria
                    categories.forEach(category => {
                        filterGrid.append(`<button class="category-filter" data-category="${category}">${category}</button>`);
                    });
                
                    $('.titulo-oportunidades').after(filterContainer); // Coloca os botões acima do slider
                
                    // 2. Função para filtrar os slides
                    function filterSlides(selectedCategory) {
                        $('.slider-oportunidades .swiper-slide').each(function () {
                            const slideCategories = $(this).find('.oportunidades-categorias .title').text().split(',').map(c => c.trim());
                
                            if (selectedCategory === 'all' || slideCategories.includes(selectedCategory)) {
                                $(this).show(); // Mostra o slide
                            } else {
                                $(this).hide(); // Esconde o slide
                            }
                        });
                
                        // Redraw no slider
                        swiperInstance.update(); // Atualiza o Swiper para refletir as alterações
                    }
                
                    // 3. Evento de clique nos botões
                    $('.slider-oportunidades').closest('.section').find('.filter-container').on('click', '.category-filter', function () {
                        const selectedCategory = $(this).data('category');
                
                        // Adicionar classe ativa ao botão clicado
                        $('.slider-oportunidades').closest('.section').find('.category-filter').removeClass('active');
                        $(this).addClass('active');
                
                        // Filtrar os slides
                        filterSlides(selectedCategory);
                    });
                
                    // 4. Executar filtro no carregamento inicial
                    filterSlides('all'); // Mostra todas as categorias inicialmente                
                
            }, 300)    
        }


        if ($('.slide-testemunhos').length > 0) {        

            if ($('body.home').length > 0) {        
                setTimeout(function() {                        
                        // Obter a instância do Swiper
                        const swiperInstance = document.querySelector('.slide-testemunhos .swiper').swiper;
                    
                        // 1. Criar botões de categorias dinamicamente
                        const filterContainer = $('<div class="filter-container"></div>');
                        const filterGrid = $('<div class="filter-grid"></div>');
                        filterContainer.append(filterGrid);
            
                        // Extrair categorias únicas
                        const categories = new Set();
                        $('.testemunhos-categorias .title').each(function () {
                            const categoryText = $(this).text().split(',').map(c => c.trim());
                            categoryText.forEach(cat => categories.add(cat));
                        });
                    
                        // Adicionar botão "Todas as Categorias"
                        // filterGrid.append('<button class="category-filter active" data-category="all">Todas</button>');
                    
                        // Adicionar botões para cada categoria
                        categories.forEach(category => {
                            filterGrid.append(`<button class="category-filter" data-category="${category}">${category}</button>`);
                        });
                    
                        $('.titulo-testemunhos').after(filterContainer); // Coloca os botões acima do slider
                    
                        // 2. Função para filtrar os slides
                        function filterSlides(selectedCategory) {                            
                            $('.slide-testemunhos .swiper-slide').each(function () {
                                const slideCategories = $(this).find('.testemunhos-categorias .title').text().split(',').map(c => c.trim());                                
                                if (selectedCategory === 'all' || slideCategories.includes(selectedCategory)) {
                                    $(this).show(); // Mostra o slide
                                } else {
                                    $(this).hide(); // Esconde o slide
                                }
                            });
                    
                            // Redraw no slider
                            swiperInstance.update(); // Atualiza o Swiper para refletir as alterações
                        }
                    
                        // 3. Evento de clique nos botões
                        $('.slide-testemunhos').closest('.section').find('.filter-container').on('click', '.category-filter', function () {
                            const selectedCategory = $(this).data('category');
                    
                            // Adicionar classe ativa ao botão clicado
                            $('.slide-testemunhos').closest('.section').find('.category-filter').removeClass('active');
                            $(this).addClass('active');
                    
                            // Filtrar os slides
                            filterSlides(selectedCategory);
                        });                        
                        // 4. Executar filtro no carregamento inicial
                        var first_filter = $('.section-testemunhos .category-filter').eq(0).attr('data-category');
                        $('.section-testemunhos .category-filter').eq(0).addClass('active');
                        filterSlides(first_filter); // Mostra todas as categorias inicialmente                
                }, 300);
            }

            
            $('.slide-testemunhos .mfn-queryloop-item-wrapper').each(function () {
                $(this).find('.column_image.test-bot').prependTo($(this).find('.column_column.test-bot .mfn-inline-editor'));
            });

        }
        


    });        




    document.addEventListener("DOMContentLoaded", function () {
      // Caminho para o ficheiro JSON
      const jsonFilePath = '/wp-content/uploads/api2work.json'; // Ajuste o caminho conforme necessário
      var url_vaga = '';
      
      var lang = document.documentElement.lang || 'pt-PT'; // Obtém o valor do atributo lang, padrão 'en' se não estiver definido

      if (lang=='pt-PT'){
        url_vaga = '/detalhes-da-vaga/';
      } else{
        url_vaga = '/en/opening-details/';
      }

      const vagasWrapper = document.querySelector(".wrap-vagas");
    
      // Verificar se a div existe
      if (!vagasWrapper) {          
          return;
      }

      if (document.querySelector(".wrap-vagas-candidatos")) {          
        var idWrap = '9672327ea';
        var idName = '034617b5d';
        var idCity = 'd6ee5fddc';
        var idLink = '7d045a4f6';
      } else {
        var idWrap = '97cf9724f';
        var idName = 'de4d82aed';
        var idCity = 'a94eea897';
        var idLink = 'f4b8eb141';
      }
    
      // Buscar os dados do JSON
      fetch(jsonFilePath)
          .then(response => response.json())
          .then(jobs => {
              
              // Verificar se a div tem a classe 'wrap-vagas-todas'
              const showAll = vagasWrapper.classList.contains("wrap-vagas-todas");

              // Definir o limite de vagas
              const maxVagas = showAll ? jobs.length : 5;              
              
              // Limitar as vagas a serem exibidas
              const limitedJobs = jobs.slice(0, maxVagas);
    
              // Limpar o conteúdo existente
              vagasWrapper.innerHTML = "";
    
              // Adicionar cada vaga como elemento filho da .wrap-vagas
              limitedJobs.forEach(job => {
                  var vagaHTML = '';
                  const jobName = job.name?.value || "Sem título";
                  const city = job.place?.address?.city || "Sem localização";
                  const jobLink = url_vaga + "?id=" + job.id;                  
                  if (showAll==false) {                    
                    // Criar o HTML para cada vaga
                    vagaHTML = `
                        <div class="mcb-wrap-inner mcb-wrap-inner-${idWrap} mfn-module-wrapper mfn-wrapper-for-wraps">
                            <div class="mcb-wrap-background-overlay"></div>
                            <div class="column mcb-column mcb-item-${idName} two-third laptop-two-third tablet-one mobile-one column_heading titulo-vagas" style="">
                                <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-${idName} mcb-item-heading-inner">
                                    <h4 class="title">${jobName}</h4>
                                </div>
                            </div>
                            <div class="column mcb-column mcb-item-${idCity} one-sixth laptop-one-sixth tablet-one-second mobile-three-fifth column_column local-vagas" style="">
                                <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-${idWrap} mcb-item-column-inner">
                                    <div class="column_attr mfn-inline-editor clearfix" style="">
                                        <p>${city}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="column mcb-column mcb-item-${idLink} one-sixth laptop-one-sixth tablet-one-second mobile-two-fifth column_button link-vagas" style="">
                                <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-${idLink} mcb-item-button-inner">
                                    <a class="button button_size_2" href="${jobLink}" title="${jobName}">
                                        <span class="button_label">Saber mais</span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    `;
                    
                  } else {
                    console.log('true');
                    // Criar o HTML para cada vaga
                    vagaHTML = `
                    <div class="mcb-wrap-inner mcb-wrap-inner-edf2b62f6 mfn-module-wrapper mfn-wrapper-for-wraps">
                        <div class="mcb-wrap-background-overlay"></div>
                        <div class="column mcb-column mcb-item-c925b03ee two-third laptop-two-third tablet-one mobile-one column_heading titulo-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-c925b03ee mcb-item-heading-inner">
                                <h4 class="title">${jobName}</h4>
                            </div>
                        </div>
                        <div class="column mcb-column mcb-item-2cb17b3af one-sixth laptop-one-sixth tablet-one-second mobile-three-fifth column_column local-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-2cb17b3af mcb-item-column-inner">
                                <div class="column_attr mfn-inline-editor clearfix" style="">
                                    <p>${city}</p>
                                </div>
                            </div>
                        </div>
                        <div class="column mcb-column mcb-item-652213404 one-sixth laptop-one-sixth tablet-one-second mobile-two-fifth column_button link-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-652213404 mcb-item-button-inner">
                                <a class="button button_size_2" href="${jobLink}" title="${jobName}">
                                    <span class="button_label">Saber mais</span>
                                </a>
                            </div>
                        </div>
                    </div>
                    `;
                  
                  }
    
                  // Adicionar a vaga ao wrapper
                  vagasWrapper.insertAdjacentHTML("beforeend", vagaHTML);
              });
          })
          .catch(error => console.error("Erro ao carregar o JSON:", error));
    });



    
    document.addEventListener("DOMContentLoaded", function () {
        // Caminho para o ficheiro JSON
        const jsonFilePath = '/wp-content/uploads/api2work.json'; // Ajuste o caminho conforme necessário
        var url_vaga = '';
        var lang = document.documentElement.lang || 'pt-PT'; // Obtém o valor do atributo lang, padrão 'en' se não estiver definido

        if (lang=='pt-PT'){
            url_vaga = '/detalhes-da-vaga/';
        } else{
            url_vaga = '/en/opening-details/';
        }

        // Obter o ID da vaga a partir da URL
        const queryString = window.location.search;
        const urlParams = new URLSearchParams(queryString);
        const jobId = urlParams.get('id'); // Altere "id" caso o parâmetro seja diferente

        if (!jobId) {
            console.error("ID da vaga não encontrado na URL.");
            return;
        }
        
        // Buscar os dados do JSON
        fetch(jsonFilePath)
            .then(response => response.json())
            .then(jobs => {
                // Procurar a vaga correspondente pelo ID
                const job = jobs.find(job => job.id === jobId);

                if (!job) {
                    
                    return;
                }

                // Atualizar o título da página
                const jobName = job.name?.value || "Título não disponível";
                document.title = jobName;

                // Atualizar o conteúdo do HTML com os dados da vaga
                document.querySelector('.titulo-vaga h2').textContent = jobName;
                document.querySelector('.local-vaga .title').textContent = `${job.place?.address?.city || "Sem localização"}`;
                // document.querySelector('.tipo-vaga .title').textContent = `${job.workType?.name || "Tipo não especificado"}`;
                

                document.querySelector('.info-vaga .title').innerHTML = (() => {
                    // Obter a descrição completa
                    const fullDescription = job.description?.value || "Descrição não disponível";
                    
                    // Extrair o primeiro parágrafo
                    const firstParagraph = fullDescription.split("</p>")[0] + "</p>";
                    
                    return firstParagraph;
                })();

                // Atualizar descrição detalhada, se houver
                const descricaoVaga = document.querySelector('.descricao-vaga .column_attr');
                if (descricaoVaga) {
                    // Obter a descrição completa
                    const fullDescription = job.description?.value || "<p>Descrição não disponível.</p>";

                    // Remover o primeiro parágrafo e usar o restante
                    const remainingDescription = fullDescription.replace(fullDescription.split("</p>")[0] + "</p>", "");

                    descricaoVaga.innerHTML = `
                        <h3>Detalhes da vaga:</h3>
                        ${remainingDescription || "<p>Descrição não disponível.</p>"}
                    `;
                }

                // Atualizar o link para candidatura, se disponível
                const candidaturaButton = document.querySelector('.vaga .btn-enviar-candidatura a.button');
                var jobUrl = job.urls?.descriptionUrlBranded                
                if (candidaturaButton) {                    
                    candidaturaButton.href = jobUrl;                    
                }
            })
            .catch(error => console.error("Erro ao carregar ou processar o JSON:", error));
    });



    document.addEventListener("DOMContentLoaded", function () {
      // Caminho para o ficheiro JSON
      const jsonFilePath = '/wp-content/uploads/api2work.json'; // Ajuste o caminho conforme necessário
      var lang = document.documentElement.lang || 'pt-PT'; // Obtém o valor do atributo lang, padrão 'en' se não estiver definido
      var url_vaga = '';
      if (lang=='pt-PT'){
        url_vaga = '/detalhes-da-vaga/';
      } else{
        url_vaga = '/en/opening-details/';
      }

      // Obter o ID da vaga atual a partir da URL
      const queryString = window.location.search;
      const urlParams = new URLSearchParams(queryString);
      const currentJobId = urlParams.get('id'); // Certifique-se de que o parâmetro da URL está correto

      const vagasWrapper = document.querySelector(".wrap-vagas-relacionadas");
    
      // Verificar se a div existe
      if (!vagasWrapper) {          
          return;
      }
    
      // Buscar os dados do JSON
      fetch(jsonFilePath)
          .then(response => response.json())
          .then(jobs => {

              // Excluir a vaga com o ID atual
              const filteredJobs = jobs.filter(job => job.id !== currentJobId);
                            
              // Definir o limite de vagas
              const maxVagas = 5;                          
              // Limitar as vagas a serem exibidas
              const limitedJobs = filteredJobs.slice(0, maxVagas);
    
              // Limpar o conteúdo existente
               vagasWrapper.innerHTML = "";
    
              // Adicionar cada vaga como elemento filho da .wrap-vagas
              limitedJobs.forEach(job => {
                  var vagaHTML = '';
                  const jobName = job.name?.value || "Sem título";
                  const city = job.place?.address?.city || "Sem localização";
                  const jobLink = url_vaga + "?id=" + job.id;
                  
                    // Criar o HTML para cada vaga                    
                    vagaHTML = `
                    <div class="mcb-wrap-inner mcb-wrap-inner-f9693825a mfn-module-wrapper mfn-wrapper-for-wraps">
                        <div class="mcb-wrap-background-overlay"></div>
                        <div class="column mcb-column mcb-item-402da5737 two-third laptop-two-third tablet-one mobile-one column_heading titulo-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-402da5737 mcb-item-heading-inner">
                                <h4 class="title">${jobName}</h4>
                            </div>
                        </div>
                        <div class="column mcb-column mcb-item-25e145874 one-sixth laptop-one-sixth tablet-one-second mobile-three-fifth column_column local-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-25e145874 mcb-item-column-inner">
                                <div class="column_attr mfn-inline-editor clearfix" style="">
                                    <p>${city}</p>
                                </div>
                            </div>
                        </div>
                        <div class="column mcb-column mcb-item-9ca0606dd one-sixth laptop-one-sixth tablet-one-second mobile-two-fifth column_button link-vagas" style="">
                            <div class="mcb-column-inner mfn-module-wrapper mcb-column-inner-9ca0606dd mcb-item-button-inner">
                                <a class="button button_size_2" href="${jobLink}" title="${jobName}">
                                    <span class="button_label">Saber mais</span>
                                </a>
                            </div>
                        </div>
                    </div>
                    `;                                      
    
                  // Adicionar a vaga ao wrapper
                  vagasWrapper.insertAdjacentHTML("beforeend", vagaHTML);
              });
          })
          .catch(error => console.error("Erro ao carregar o JSON:", error));
    });


  }



   
})(jQuery);


